<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\User;
use App\Background;
use DB;

class AdminController extends Controller
{
    
    public function index() {
    	$data = User::where('role', 0)->orderBy('id', 'DESC')->get();
    	return view('admin/dashboard', compact('data'));
    }

    public function useredit($id) {
    	$row = User::whereId($id)->first();
  		$kyc = Background::where('userid', $id)->where('checkType', 0)->get()->all();
        $address = Background::where('userid', $id)->where('checkType', 1)->get()->all();
    	return view('admin/useredit', compact('row', 'kyc', 'address'));
    }

    public function postbackground(Request $request) {
    	$post = $request->all();
    	$file = $request->file('image');
    	if (!empty($file)) {
            $ext = strtolower($file->getClientOriginalExtension());
            $newname = time() . '.' . $ext;

            if ($ext != "png" and $ext != "jpg" and $ext != "jpeg") {
                $res['success'] = 0;
                $res['error'] = 1;
                $res['msg'] = 'Please choose PNG or JPG files';

                echo json_encode($res);
                die();
            } else {
                $destination = 'public/media';
                $file->move($destination, $newname);
                $post['image'] = $newname;  

                if($post['checkType'] == 1) {
                    $file = $request->file('image2');
                    if (!empty($file)) {
                        $ext = strtolower($file->getClientOriginalExtension());
                        $newname = time().rand(). '.' . $ext;

                        if ($ext != "png" and $ext != "jpg" and $ext != "jpeg") {
                            $res['success'] = 0;
                            $res['error'] = 1;
                            $res['msg'] = 'Please choose PNG or JPG files';

                            echo json_encode($res);
                            die();
                        } else {
                            $destination = 'public/media';
                            $file->move($destination, $newname);
                            $post['image2'] = $newname;      
                        }
                    } else {
                        $res['success'] = 0;
                        $res['error'] = 1;
                        $res['msg'] = 'Please upload both images to proceed.';

                        echo json_encode($res);
                        die();
                    }
                } else {
                    $post['image2'] = '';
                }                 


                Background::create($post);

                $res['success'] = 1;
                $res['error'] = 0;
                $res['msg'] = 'Successfully added';
                $res['url'] = url('admin/user/edit/'.$post['userid']);
            }
        } else {
            $res['success'] = 0;
            $res['error'] = 1;
            $res['msg'] = 'Please upload both images to proceed.';    
        }

        echo json_encode($res);
        die();
    }

    public function sendemailtousers(Request $request) {
    	$post = $request->all();
    	$body = $post['content'];
    	$users = json_decode($post['users']);
    	$subject = $post['subject'];

    	foreach($users as $key=>$val) {
    		$row = User::whereId($val)->first();
	    	$to = $row->email;

    		sendmail($to, $subject, $body);
    	}

    	$res['success'] = 1;
        $res['error'] = 0;
        $res['msg'] = 'Successfully send';
        $res['url'] = url('admin/dashboard');

        echo json_encode($res);
        die();
    }

    public function bidupdate(Request $request) {
    	$post = $request->all();
    	$insert['userid'] = $post['userid'];
    	$insert['paid'] = $post['paidbid'];
    	$insert['free'] = $post['freebid'];
    	$insert['total'] = $post['totalbid'];
    	$insert['source'] = 'admin';
    	$insert['type'] = 'credit';

    	DB::table('bidlog')->insert($insert);

    	$res['success'] = 1;
        $res['error'] = 0;
        $res['msg'] = 'Successfully updated';
        $res['url'] = url('admin/dashboard');

        echo json_encode($res);
        die();
    }

    public function transaction() {
    	$data = DB::table('bidlog')->orderBy('id', 'DESC')->get()->all();
    	return view('admin/transaction', compact('data'));
    }

    public function updateUserstatus(Request $request) {
        $post = $request->all();
        if($post['status'] == 'inactive') {
            $val = NULL;
        } elseif($post['status'] == 'active') {
            $val = date('Y-m-d h:i:s');
        }
        User::whereId($post['id'])->update(array('email_verified_at'=>$val));

        $res['success'] = 1;
        $res['error'] = 0;
        $res['msg'] = 'User successfully updated';

        echo json_encode($res);
        die();
    }
}
