<?php
namespace App\Http\Controllers\Admin;

// namespace App\Http\Controllers\Admin;


use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;;
use Illuminate\Http\Request;
use App\Penny;
use App\User;
class PennyController extends Controller
{
   public function index(){
     $user =Auth::user();
     if (Auth::guest()) {
        return redirect(url('/admin/login'));
      }else{
      $data = Penny::orderBy('id', 'DESC')->get();
      return view('admin/auctionView', compact('data'));
     }
      
   }
   public function create(){  
   	return view('admin/addauction');
   }

   public function save(Request $request){
      $user =Auth::user();

      request()->validate([
        'product_image' => 'required',
        'product_image.*' => 'mimes:jpeg,png,jpg',
       ]);
    $images = $request->file('product_image');
    
     if($request->hasfile('product_image'))
         {

            foreach($request->file('product_image') as $image)
            {
              $destinationPath = 'public/AuctionImage/'; // upload path
                $name=date('YmdHis') . "." . $image->getClientOriginalName();
                $image->move($destinationPath, $name);  
                $arr[] = $name;  
            }
             $imagesName = implode(",", $arr);
         }
   	$auction_category	 = $request->auction_category;
   	$auction_type		 = $request->auction_type;
   	$product_name		 = $request->product_name;
   	$product_description = $request->product_description;
   	$value				 = $request->value;
   	$bid_fee			 = $request->bid_fee;
   	$price_increment	 = $request->price_increment;
   	$reset_timer		 = $request->reset_timer;
   	$shipping_fee		 = $request->shipping_fee;
   	$rebate				 = $request->rebate;
   	$winner_claim		 = $request->winner_claim;
   	$auction_date		 = $request->auction_date;
    $auctionid = Penny::orderBy('id', 'desc')->first();
    if (empty($auctionid)) {
       $auction_code = str_pad(0000 + 1, 4, 0, STR_PAD_LEFT);
    }
    else{
      $whatIWant = substr($auctionid->auction_id, strpos($auctionid->auction_id, "-") + 1);
      $auction_code = str_pad($whatIWant + 1, 4, 0, STR_PAD_LEFT);
    }
      if ($auction_category == 'PennyAuction') {
         $auction_code = 'PANNY-'.$auction_code;
      }else{
         $auction_code = 'LOWEST-'.$auction_code; 
      }
      // if ($files = $request->file('product_image')) {
      //      $destinationPath = 'public/AuctionImage/'; // upload path
      //      $auction_image = date('YmdHis') . "." . $files->getClientOriginalExtension();
      //      $files->move($destinationPath, $auction_image);
      // }
      if (isset($request->winner_claim)) {
            $wclaim = 1;
            if (isset($request->winner_get_product)) {
               $wgetproduct = $request->winner_get_product;
            }else{
               $wgetproduct = 'NULL';
            }
       }else{
          $wclaim = 0;
          $wgetproduct = 'NULL';
       }
      if (isset($request->winner_convert)) {
            $wconvert = 1;
            if (isset($request->winner_paid_bid)) {
               $winner_paid_bid = $request->winner_paid_bid;
               $winner_paid_bid_price = $request->winner_paid_bid_price;
            }else{
              $winner_paid_bid = 'NULL';
              $winner_paid_bid_price = 'NULL';
            }
            if(isset($request->winner_free_bid)){
               $winner_free_bid = $request->winner_free_bid;
               $winner_free_bid_price = $request->winner_free_bid_price;
            }else{
              $winner_free_bid = 'NULL';
              $winner_free_bid_price = 'NULL';
            }
       }else{
          $wconvert = 0;
          $winner_paid_bid = 'NULL';
          $winner_paid_bid_price = 'NULL';
          $winner_free_bid = 'NULL';
          $winner_free_bid_price = 'NULL';
       }
       if (isset($request->winner_cash)) {
           $wcash = 1;
           if (isset($request->winner_cash_price)) {
               $wcash_price = $request->winner_cash_price;
           }else{
               $wcash_price = 'NULL';
           }
          
       }else{
          $wcash = 0;
          $wcash_price = 'NULL';
       }
       if (isset($request->buy_claim)) {
            $bclaim = 1;
            if (isset($request->buy_get_product)) {
               $bgetproduct = $request->buy_get_product;
            }else{
               $bgetproduct = 'NULL';
            }
       }else{
          $bclaim = 0;
          $bgetproduct = 'NULL';
       }
        if (isset($request->buy_convert)) {
            $bconvert = 1;
            if (isset($request->buy_paid_bid)) {
               $buy_paid_bid = $request->buy_bid;
               $buy_paid_bid_price = $request->buy_paid_bid_price;
            }else{
              $buy_paid_bid = 'NULL';
              $buy_paid_bid_price = 'NULL';
            }  
            if(isset($request->buy_free_bid)) {
              $buy_free_bid = $request->buy_free_bid;
              $buy_free_bid_price = $request->buy_free_bid_price;
            }else{
              $buy_free_bid = 'NULL';
              $buy_free_bid_price = 'NULL';
            }
       }else{
          $bconvert = 0;
          $buy_paid_bid = 'NULL';
          $buy_paid_bid_price = 'NULL';
          $buy_free_bid = 'NULL';
          $buy_free_bid_price = 'NULL';
       }
       if (isset($request->buy_cash)) {
           $bcash = 1;
           if (isset($request->buy_cash_price)) {
              $bcash_price = $request->buy_cash_price;
           }else{
            $bcash_price = 'NULL';
           }
           
       }else{
          $bcash = 0;
          $bcash_price = 'NULL';
       }
   	$data = [
   				'auction_category'     => $auction_category,
   				'auction_id'	        => $auction_code,
   				'auction_type'		     => $auction_type,
   				'product_name' 		  => $product_name,
          'product_image'        => $imagesName,
   				'product_description'  => $product_description,
   				'value'				     => $value,
   				'bid_fee'			     => $bid_fee,
   				'price_increment'	     => $price_increment,
   				'reset_timer'		     => $reset_timer,
   				'shipping_fee'		     => $shipping_fee,
   				'rebate'			        => $rebate,
               'auction_date'         => $auction_date,
               'is_publish'           => false,
               'is_deleted'           => false,
               'created_by'           => $user->id,
               'updated_by'           => $user->id,
               'wclaim'               => $wclaim,
               'wgetproduct'          => $wgetproduct,
               'wconvert'             => $wconvert,
               'winner_paid_bid'               => $winner_paid_bid,
               'winner_paid_bid_price'               => $winner_paid_bid_price,
               'winner_free_bid'               => $winner_free_bid,
               'winner_free_bid_price'               => $winner_free_bid_price,
               'wcash'                => $wcash,
               'wcash_price'          => $wcash_price,
               'bclaim'               => $bclaim,
               'bgetproduct'          => $bgetproduct,
               'bconvert'             => $bconvert,
               'buy_paid_bid'               => $buy_paid_bid,
               'buy_paid_bid_price'               => $buy_paid_bid_price,
               'buy_free_bid'               => $buy_free_bid,
               'buy_free_bid_price'               => $buy_free_bid_price,
               'bcash'                => $bcash,
               'bcash_price'          => $bcash_price,
   			];
   	 $model = Penny::create($data);
       return redirect('admin/Auction');
  
   }

   public function status(Request $request){
      $userId = $request->id;
      $status = $request->is_publish;
      if ($status== 'active') {
        Penny::where('id', $userId)->update(['is_publish' => 1]);
        $result = 1;
      } else {
         Penny::where('id', $userId)->update(['is_publish' => 0]);
         $result = 0;
      }
      $res['success'] = 1;
      $res['error'] = 0;
      $res['msg'] = 'Status successfully updated';
      echo json_encode($res);
   }

   public function removeAuction(Request $request){
       $id = $request->id;
      if ($id) {
        Penny::find($id)->delete();
      }
      $res['success'] = 1;
      $res['error'] = 0;
      $res['msg'] = 'Auction successfully remove';
      echo json_encode($res);
   }
}
